import type { BoxProps } from "@twilio-paste/box";
import type { HTMLPasteProps } from "@twilio-paste/types";
import * as React from "react";
type AsTags = "ul" | "ol";
export interface CalloutListProps extends HTMLPasteProps<AsTags> {
    /**
     *
     * @default null
     * @type {AsTags}
     * @memberof CalloutListProps
     */
    as: AsTags;
    children?: React.ReactNode;
    /**
     * Overrides the default element name to apply unique styles with the Customization Provider
     *
     * @default "CALLOUT_LIST"
     * @type {BoxProps["element"]}
     * @memberof CalloutListProps
     */
    element?: BoxProps["element"];
}
export declare const CalloutList: React.ForwardRefExoticComponent<CalloutListProps & React.RefAttributes<HTMLElement>>;
export interface CalloutListItemProps extends Partial<Omit<HTMLLIElement, "children">> {
    children?: React.ReactNode;
    /**
     * Overrides the default element name to apply unique styles with the Customization Provider
     *
     * @default "CALLOUT_LIST_ITEM"
     * @type {BoxProps["element"]}
     * @memberof CalloutListProps
     */
    element?: BoxProps["element"];
}
export declare const CalloutListItem: React.ForwardRefExoticComponent<CalloutListItemProps & React.RefAttributes<HTMLLIElement>>;
export {};
//# sourceMappingURL=CalloutList.d.ts.map